cascading.flow.planner.graph

## Class ElementSubGraph

- java.lang.Object
- - cascading.flow.planner.graph.BaseElementGraph
  - - cascading.flow.planner.graph.ElementSubGraph

- All Implemented Interfaces:
    ElementGraph, Serializable

      public class ElementSubGraph
      extends BaseElementGraph
      implements ElementGraph

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.graph.BaseElementGraph

      `graph, NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementSubGraph(ElementGraph elementGraph, Collection<FlowElement> flowElements)`
    `ElementSubGraph(ElementGraph elementGraph, Collection<FlowElement> flowElements, Collection<Scope> scopes)`
    `ElementSubGraph(ElementSubGraph graph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementGraph` | `copyElementGraph()`

    - ### Methods inherited from class cascading.flow.planner.graph.BaseElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, containsEdge, containsEdge, containsVertex, copyFrom, edgeSet, edgesOf, equals, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, hashCode, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.flow.planner.graph.ElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

- - ### Constructor Detail

    - #### ElementSubGraph

          public ElementSubGraph(ElementGraph elementGraph,
                         Collection<FlowElement> flowElements)

    - #### ElementSubGraph

          public ElementSubGraph(ElementGraph elementGraph,
                         Collection<FlowElement> flowElements,
                         Collection<Scope> scopes)

    - #### ElementSubGraph

          public ElementSubGraph(ElementSubGraph graph)

  - ### Method Detail

    - #### copyElementGraph

          public ElementGraph copyElementGraph()

      Specified by:
        `copyElementGraph` in interface `ElementGraph`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.